Download a version
const url = 'https://api.gampeon.com/v1/resources/example/versions/example/file';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.gampeon.com/v1/resources/example/versions/example/fileCounts at most one download per IP and version in 24 hours. Paid items need the grant from …/download.
Rate limit: 120 per hour per IP.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Resource name
Version
Query Parameters
Section titled “Query Parameters”Download grant for paid items, from …/download
Responses
Section titled “Responses”The file as attachment
Error codes: purchase_required
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: not_found, file_missing
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Limit: 120 per hour per IP. Error codes: rate_limited
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: unavailable_for_legal_reasons
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: storage_disabled
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}